org.eclipse.graphiti.palette

## Interface IStackToolEntry

All Superinterfaces:
  IPaletteEntry, IToolEntry

All Known Implementing Classes:
  StackEntry

    public interface IStackToolEntry
    extends IToolEntry

The Interface IStackToolEntry.

### Method Summary

All Methods Instance Methods Abstract Methods
`List<ICreationToolEntry>` `getCreationToolEntries()` Gets the creation tool entries.
`String` `getDescription()` Gets the description.

### Methods inherited from interface org.eclipse.graphiti.palette.IPaletteEntry

`getIconId, getLabel`

### Method Detail

#### getDescription

    String getDescription()

Gets the description.

Returns:
  the description

#### getCreationToolEntries

    List<ICreationToolEntry> getCreationToolEntries()

Gets the creation tool entries.

Returns:
  the creation tool entries